{% extends "administration.html" %}
{% load url from future %}
{% load i18n %}

{% block contenido_administracion %}
    <ul class="nav nav-tabs nav-append-content">
        <li class="active"><a href="#tab1">{% blocktrans %}Assign Permisions to Users{% endblocktrans %}</a></li>
        <li class=""><a href="#tab2">{% blocktrans %}Assing Permisions to Groups{% endblocktrans %}</a></li>
    </ul>
    <form method="post">{% csrf_token %}
    <div class="tab-content">
        <div class="tab-pane active" id="tab1">
            <div class="row clearfix">
                <div class="col-md-6 column">
                    <small>{% blocktrans %}Find User{% endblocktrans %}:</small>
                    <div class="input-group input-group-sm">
                      <input class="form-control" id="appendedInputButton-04" type="search" placeholder="{% blocktrans %}Type name/username for search{% endblocktrans %}">
                      <span class="input-group-btn">
                        <button class="btn" type="submit" name="search" data-toggle="modal" data-target="#ModalSearchUserForAssign"><span class="fui-search"></span></button>
                      </span>
                    </div>
                    <small>{% blocktrans %}Name{% endblocktrans %}:</small><br/>
                    <div class="row clearfix">
                    	<div class="col-md-1 column"></div>
                        <div id="permission_assign_user_name_div_text" class="col-md-6 column"></div>
                    </div>
                    <small>{% blocktrans %}Email{% endblocktrans %}:</small><br/>
                    <div class="row clearfix">
                    	<div class="col-md-1 column"></div>
                        <div id="permission_assign_user_email_div_text" class="col-md-6 column"></div>
                        <input type="text" id="permission_assign_user_email_div_text_temp" name="permission_assign_user_email_div_text_temp" style="display:None;"/>
                    </div>
                </div>
                <div class="col-md-6 column">
                    <div class="table-responsive">
                        <table class="table table-bordered">
                        <thead>
                          <tr id="permission_checkbox_Permission_tr">
                            <th><label id="permission_checkbox_Permission_label" class="checkbox no-label toggle-all" for="checkbox-table-1"><span class="icons"><span class="first-icon fui-checkbox-unchecked"></span><span class="second-icon fui-checkbox-checked"></span></span><input type="checkbox" value="" id="permission_checkbox_Permission" data-toggle="checkbox"></label></th>
                            <th>{% blocktrans %}Permission{% endblocktrans %}</th>
                            <th>{% blocktrans %}Description{% endblocktrans %}</th>
                          </tr>
                        </thead>
                        <tbody>
                          {% for permiso in lista_permisos %}
                          <tr id="permission_checkbox_{{permiso.nombre}}_tr">
                            <td><label id="permission_checkbox_{{permiso.nombre}}_label" class="checkbox no-label" for="checkbox-table-2"><span class="icons"><span class="first-icon fui-checkbox-unchecked"></span><span class="second-icon fui-checkbox-checked"></span></span><input type="checkbox" value="" id="permission_checkbox_{{permiso.nombre}}" name="permission_checkbox_{{permiso.nombre}}" data-toggle="checkbox"></label></td>
                            <td>{{permiso.nombre}}</td>
                            <td>{{permiso.descripcion}}</td>
                          </tr>
                          {% endfor %}
                        </tbody>
                        </table>
                    </div>
                </div>	
                <div class="col-md-4 column"></div>
                <div class="col-md-4 column">
                    <button type="submit" class="btn btn-lg btn-block btn-default" name="create_button">{% blocktrans %}Clean{% endblocktrans %}</button>
                </div>
                <div class="col-md-4 column">
                	<button type="submit" class="btn btn-lg btn-block btn-primary" name="assign_permission_to_users">{% blocktrans %}Apply{% endblocktrans %}</button>
                </div>
            </div> <!-- close row clearfix -->
        </div>
        <div class="tab-pane" id="tab2">
			<div class="row clearfix">
                <div class="col-md-6 column">
                    <small>{% blocktrans %}Find Group:{% endblocktrans %}</small>
                    <div class="input-group input-group-sm">
                      <input class="form-control" id="appendedInputButton-04" type="search" placeholder="{% blocktrans %}Type name for search{% endblocktrans %}">
                      <span class="input-group-btn">
                        <button class="btn" type="submit" name="search" data-toggle="modal" data-target="#ModalSearchGroupInAssign"><span class="fui-search"></span></button>
                      </span>
                    </div>
                    <small>{% blocktrans %}Name{% endblocktrans %}:</small><br/>
                    <div class="row clearfix">
                    	<div class="col-md-1 column"></div>
                        <div class="col-md-6 column" id="permission_assign_group_name_div_text"></div>
                        <input type="text" id="permission_assign_group_name_div_text_temp" name="permission_assign_group_name_div_text_temp" style="display:None;"/>
                    </div>
                </div>
                <div class="col-md-6 column">
                    <div class="table-responsive">
                        <table class="table table-bordered">
                        <thead>
                          <tr id="permission_group_checkbox_Permission_tr">
                            <th><label id="permission_group_checkbox_Permission_label" class="checkbox no-label toggle-all" for="checkbox-table-1"><span class="icons"><span class="first-icon fui-checkbox-unchecked"></span><span class="second-icon fui-checkbox-checked"></span></span><input type="checkbox" value="" id="permission_group_checkbox_Permission" data-toggle="checkbox"></label></th>
                            <th>{% blocktrans %}Permission{% endblocktrans %}</th>
                            <th>{% blocktrans %}Description{% endblocktrans %}</th>
                          </tr>
                        </thead>
                        </thead>
                        <tbody>
                          {% for permiso in lista_permisos %}
                          <tr id="permission_group_checkbox_{{permiso.nombre}}_tr">
                            <td><label id="permission_group_checkbox_{{permiso.nombre}}_label" class="checkbox no-label" for="checkbox-table-2"><span class="icons"><span class="first-icon fui-checkbox-unchecked"></span><span class="second-icon fui-checkbox-checked"></span></span><input type="checkbox" value="" id="permission_group_checkbox_{{permiso.nombre}}" name="permission_group_checkbox_{{permiso.nombre}}" data-toggle="checkbox"></label></td>
                            <td>{{permiso.nombre}}</td>
                            <td>{{permiso.descripcion}}</td>
                          </tr>
                          {% endfor %}
                        </tbody>
                        </table>
                    </div>
                </div>
                <div class="col-md-4 column"></div>
                <div class="col-md-4 column">
                    <button type="submit" class="btn btn-lg btn-block btn-default" name="create_button">{% blocktrans %}Clean{% endblocktrans %}</button>
                </div>
                <div class="col-md-4 column">
                	<button type="submit" class="btn btn-lg btn-block btn-primary" name="assign_permission_to_groups">{% blocktrans %}Apply{% endblocktrans %}</button>
                </div>
            </div> <!-- close row clearfix -->
        </div>
    </div>
    </form>
{% endblock %}
